org.apache.storm.generated

## Class ErrorInfo

- java.lang.Object
- - org.apache.storm.generated.ErrorInfo

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ErrorInfo>, org.apache.storm.thrift.TBase<ErrorInfo,ErrorInfo._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class ErrorInfo
      extends Object
      implements org.apache.storm.thrift.TBase<ErrorInfo,ErrorInfo._Fields>, Serializable, Cloneable, Comparable<ErrorInfo>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ErrorInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ErrorInfo._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorInfo()`
    `ErrorInfo(ErrorInfo other)` Performs a deep copy on other.
    `ErrorInfo(String error, int error_time_secs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(ErrorInfo other)`
    `ErrorInfo` | `deepCopy()`
    `boolean` | `equals(ErrorInfo that)`
    `boolean` | `equals(Object that)`
    `ErrorInfo._Fields` | `fieldForId(int fieldId)`
    `int` | `get_error_time_secs()`
    `String` | `get_error()`
    `String` | `get_host()`
    `int` | `get_port()`
    `Object` | `getFieldValue(ErrorInfo._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_error_time_secs()` Returns true if field error_time_secs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_error()` Returns true if field error is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_host()` Returns true if field host is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_port()` Returns true if field port is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(ErrorInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_error_isSet(boolean value)`
    `void` | `set_error_time_secs_isSet(boolean value)`
    `void` | `set_error_time_secs(int error_time_secs)`
    `void` | `set_error(String error)`
    `void` | `set_host_isSet(boolean value)`
    `void` | `set_host(String host)`
    `void` | `set_port_isSet(boolean value)`
    `void` | `set_port(int port)`
    `void` | `setFieldValue(ErrorInfo._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_error_time_secs()`
    `void` | `unset_error()`
    `void` | `unset_host()`
    `void` | `unset_port()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ErrorInfo._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ErrorInfo

          public ErrorInfo()

    - #### ErrorInfo

          public ErrorInfo(String error,
                           int error_time_secs)

    - #### ErrorInfo

          public ErrorInfo(ErrorInfo other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ErrorInfo deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ErrorInfo,ErrorInfo._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ErrorInfo,ErrorInfo._Fields>`

    - #### get_error

          public String get_error()

    - #### set_error

          public void set_error(String error)

    - #### unset_error

          public void unset_error()

    - #### is_set_error

          public boolean is_set_error()

      Returns true if field error is set (has been assigned a value) and false otherwise

    - #### set_error_isSet

          public void set_error_isSet(boolean value)

    - #### get_error_time_secs

          public int get_error_time_secs()

    - #### set_error_time_secs

          public void set_error_time_secs(int error_time_secs)

    - #### unset_error_time_secs

          public void unset_error_time_secs()

    - #### is_set_error_time_secs

          public boolean is_set_error_time_secs()

      Returns true if field error_time_secs is set (has been assigned a value) and false otherwise

    - #### set_error_time_secs_isSet

          public void set_error_time_secs_isSet(boolean value)

    - #### get_host

          public String get_host()

    - #### set_host

          public void set_host(String host)

    - #### unset_host

          public void unset_host()

    - #### is_set_host

          public boolean is_set_host()

      Returns true if field host is set (has been assigned a value) and false otherwise

    - #### set_host_isSet

          public void set_host_isSet(boolean value)

    - #### get_port

          public int get_port()

    - #### set_port

          public void set_port(int port)

    - #### unset_port

          public void unset_port()

    - #### is_set_port

          public boolean is_set_port()

      Returns true if field port is set (has been assigned a value) and false otherwise

    - #### set_port_isSet

          public void set_port_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ErrorInfo._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ErrorInfo,ErrorInfo._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ErrorInfo._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ErrorInfo,ErrorInfo._Fields>`

    - #### isSet

          public boolean isSet(ErrorInfo._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ErrorInfo,ErrorInfo._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ErrorInfo that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ErrorInfo other)

      Specified by:
        `compareTo` in interface `Comparable<ErrorInfo>`

    - #### fieldForId

          public ErrorInfo._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ErrorInfo,ErrorInfo._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.